cURL
curl --request PATCH \
--url https://api.mottostreaming.com/ott/page_components/v1/{page_component_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_component_id": "<string>",
"page_component_update": {
"project_id": "<string>",
"name": "<string>",
"type": "<string>",
"data": {},
"props": {},
"environments": [
"<string>"
],
"group_id": "<string>",
"css_classes": [
"<string>"
]
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/ott/page_components/v1/{page_component_id}"
payload = {
"page_component_id": "<string>",
"page_component_update": {
"project_id": "<string>",
"name": "<string>",
"type": "<string>",
"data": {},
"props": {},
"environments": ["<string>"],
"group_id": "<string>",
"css_classes": ["<string>"]
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page_component_id: '<string>',
page_component_update: {
project_id: '<string>',
name: '<string>',
type: '<string>',
data: {},
props: {},
environments: ['<string>'],
group_id: '<string>',
css_classes: ['<string>']
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/ott/page_components/v1/{page_component_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page_component": {
"project_id": "<string>",
"id": "<string>",
"name": "<string>",
"type": "<string>",
"data": {},
"props": {},
"environments": [
"<string>"
],
"group_id": "<string>",
"css_classes": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update page component
UpdatePageComponent
Updates an existing page_component.
PATCH
/
ott
/
page_components
/
v1
/
{page_component_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
A comma-separated list of fields to be updated. Only fields specified in this mask will be updated.
Note: to update the configuration of any of the non-standard fields on this component,
use type in the field mask instead of their field name. For example, if this component is for the video player,
do not include video_player in the field mask. Instead, include type.
Response
OK
Show child attributes
Show child attributes
⌘I

